Bug 10094 - [Server 4.0.2] Deliver segfaulted when use unix socket for lmtp
: [Server 4.0.2] Deliver segfaulted when use unix socket for lmtp
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/cyrus-imapd)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 14167
  Show dependency tree
 
Reported: 2006-10-06 09:12 by
Modified: 2008-01-28 08:51 (History)


Attachments
Attached patch fix this problem (check to NULL). (586 bytes, patch)
2006-10-06 09:13, partizan
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-06 09:12:13
If we use lmtp socket for delivery, then deliver try to dereference NULL pointer
and segfauit in backend_connect function.
------- Comment #1 From 2006-10-06 09:13:10 -------
Created an attachment (id=1655) [details]
Attached patch fix this problem (check to NULL).
------- Comment #2 From 2007-09-18 08:39:35 -------
по дошедшим до меня сведениям от человека, которому я посоветовал релиз server4
(4.0.0 двд с контрибом + установочный цд от 10 авг)

баг все еще там существует.
если есть исправленный пакет в апдейтах, напишите тут.
------- Comment #3 From 2007-09-18 08:52:30 -------
Бага висит почти год. Похоже, пора делать NMU.
------- Comment #4 From 2007-09-18 17:01:27 -------
Делай, taf@ куда-то пропал (я его вообще нигде не наблюдаю последний год или
около того).

2 ldv: просьба повесить пакеты taf@ на nobody; собирательную багу для Server
4.0.2 надо или воспользоваться #9199?
------- Comment #5 From 2007-09-18 18:36:33 -------
Я еще в предверии выпуска 4.0 хотел забрать пакет, чтобы он попал в main... Так
что, если забирать у taf@, то нужно делать более одного майнтейнера, чтобы
важный пакет, не оставался без присмотра...
------- Comment #6 From 2007-10-09 16:11:38 -------
Fixed in cyrus-imapd-2.2.13-alt2
------- Comment #7 From 2008-01-28 08:51:01 -------
Закрываем.